### Method

# Clutter LayoutManager list_child_properties

#### Declaration [src]

    GParamSpec**
    clutter_layout_manager_list_child_properties (
      ClutterLayoutManager* manager,
      guint* n_pspecs
    )

#### Description [src]

Retrieves all the `GParamSpec`s for the layout properties stored inside the `ClutterLayoutMeta` sub-class used by `manager`.

#### Parameters

`n_pspecs`

  Type: `guint*`

  Return location for the number of returned `GParamSpec`s.

  The argument will be set by the function.

#### Return value

Type: An array of `GParamSpec*`

The newly-allocated, `NULL`-terminated array of `GParamSpec`s. Use `g_free()` to free the resources allocated for the array.

The length of the array is in the `n_pspecs` argument.
The caller of the method takes ownership of the returned data, and is responsible for freeing it.